%calculo del error en minimos cuadrados
clc
e1=0;
e2=0;
e3=0;
e4=0;
e5=0;
e6=0;
for x=1:4
    if x==1
        load error1.mat      
    end
    if x==2 
        load error2.mat
    end
    if x==3
        load error3.mat
    end
    if x==4
        load error4.mat
    end
    salida=error(:,2);
    en1=error(:,3);
    en2=error(:,4);
    en3=error(:,5);
    en4=error(:,6);
    en5=error(:,7);
    en6=error(:,8);
    [a b]=size(error);
    for i=1:a
        e1=e1+(en1(i)-salida(i))^2;
        e2=e2+(en2(i)-salida(i))^2;
        e3=e3+(en3(i)-salida(i))^2;
        e4=e4+(en4(i)-salida(i))^2;
        e5=e5+(en5(i)-salida(i))^2;
        e6=e6+(en6(i)-salida(i))^2;
    end
    e1
    e2
    e3
    e4
    e5
    e6
end

e1
e2
e3
e4
e5
e6
